﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AJAXCollapsible.aspx.cs" Inherits="MS_OSPFM.AJAXCollapsible" %>
<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title></title>
    <link href="Assets/StyleSheet/OSPFM.css" rel="stylesheet" type="text/css" />
       <script type="text/javascript">
        var shapeOverlay = null;
        var currentFeature = null;
        var styleRed = null;

        var OnMapCreating = function() {
            OpenLayers.Layer.VirtualEarth.prototype.MAX_ZOOM_LEVEL = 19;
        }

        function OnMapCreated(map) {
            // Display the toolbar of VE, but it can't work.
            var layer = map.getLayer("VirtualEarth Map");
            if (layer != null) {
                layer.mapObject.vemapcontrol.SetAnimationEnabled(false);
                //alert('test');
                var str = map.getZoom() + 1;
                document.getElementById('txtScaleLevel').value = str;
                //alert(document.getElementById('txtScaleLevel').value);
                //layer.mapObject.ShowDashboard();

                shapeOverlay = new OpenLayers.Layer.Vector({ style: { fillColor: 'red'} });
                map.addLayer(shapeOverlay);

                styleRed = {
                    strokeColor: "red",
                    strokeWidth: 1,
                    strokeDashstyle: "solid",
                    pointRadius: 6,
                    fillColor: 'red'
                };
            }

            // Get Current Zoomlevel.
            map.events.register('zoomend', map, function(e) {
                var str = map.getZoom() + 1;
                //alert(str);
                document.getElementById('txtScaleLevel').value = str;
                //                         //alert(document.getElementById('txtScaleLevel').value);

            });
        }

        var linkOver = function(obj) {
            if (shapeOverlay != null) {
                currentFeature = new OpenLayers.Format.WKT().read(obj.wkt);
                currentFeature.style = styleRed;
                shapeOverlay.addFeatures([currentFeature]);
            }
        };
        var linkOut = function() {
            if (shapeOverlay && currentFeature) {
                shapeOverlay.destroyFeatures([currentFeature]);
            }
        };

    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>

<%--            <ajaxToolkit:CollapsiblePanelExtender ID="Coll1" runat="server" 
            TargetControlID="TabPanel"
            ExpandControlID="MapPanel"
            CollapseControlID="TabPanel"
            AutoCollapse="False"
            AutoExpand="False"
            TextLabelID="Label1"
            ExpandDirection="Horizontal"> 
            </ajaxToolkit:CollapsiblePanelExtender>
--%>

           <ajaxToolkit:CollapsiblePanelExtender ID="CollapsiblePanelExtender2" 
            runat="server" Collapsed="false" CollapseControlID="TabPanel" 
            ExpandControlID="MapPanel" TargetControlID="TabPanel"
            CollapsedImage="~/Assets/Images/expand_blue.jpg"
            ExpandedImage="~/Assets/Images/collapse_blue.jpg" ImageControlID="ImageButton2" ExpandDirection="Horizontal" SuppressPostBack="True">
            </ajaxToolkit:CollapsiblePanelExtender>

           <ajaxToolkit:CollapsiblePanelExtender ID="CollapsiblePanelExtender1" 
            runat="server" Collapsed="false" CollapseControlID="tp_results" 
            ExpandControlID="tp_results" TargetControlID="ResultPanel"
            CollapsedImage="~/Assets/Images/expand_blue.jpg"
            ExpandedImage="~/Assets/Images/collapse_blue.jpg" ImageControlID="ImageButton1" SuppressPostBack="True">
        </ajaxToolkit:CollapsiblePanelExtender>

    
       <div>
            <table width="100%">
                <tr>
                    <td>
                        <asp:Image ID="Image1" runat="server" 
                        ImageUrl="~/Assets/Images/logo_secondary.gif" />
                     </td>
                </tr>
                <tr>
                      <td colspan="2">
                         <table border="0">
                            <tr>
                              <td>
                                    <table class="VEToolTableLayout">
                                         <tr class="VEToolTableLayout" >
                                              <td class="VEToolTableLayout"><asp:Button ID="btnRoad" CssClass="Button" 
                                                      runat="server" Text="Road" 
                                                      OnClientClick="Map1.SetCurrentBackgroundMapType(VEMapStyle.Road); return false;" 
                                                      ToolTip="Click to see Road View" /></td>
                                              <td class="VEToolTableLayout"><asp:Button ID="btnSatellite" CssClass="Button" 
                                                      runat="server" Text="Aerial" 
                                                      OnClientClick="Map1.SetCurrentBackgroundMapType(VEMapStyle.Aerial); return false;" 
                                                      ToolTip="Click to see Aerial View" /></td>
                                              <td class="VEToolTableLayout"><asp:Button ID="btnPhysical" CssClass="Button" 
                                                      runat="server" Text="Hybrid" 
                                                      OnClientClick="Map1.SetCurrentBackgroundMapType(VEMapStyle.Hybrid); return false;" 
                                                      ToolTip="Click to see Hybrid View" /></td>
                                               <td class="VEToolTableLayout"><asp:Button ID="btnBirdEye" CssClass="Button" 
                                                       runat="server" Text="BirdEye" 
                                                       OnClientClick="Map1.SetCurrentBackgroundMapType(VEMapStyle.Birdseye); return false;" 
                                                       ToolTip="Click to see BirdEye View" /></td>
                                        </tr>
                                    </table>
                             </td>
                              <td>
                                   <table class="VEToolTableLayout">
                                        <tr class="VEToolTableLayout" >
                                            <td class="VEToolTableLayout" ><input id="txtScaleLevel" runat="server" type="text" class="ZoomScale" 
                                                    title="Current Zoom Level" /></td>
                                            <td class="VEToolTableLayout" ><input type="image" value="Draw Rectangle" 
                                                    onclick="Map1.SetDrawMode('Rectangle');return false;" 
                                                    src="Assets/Images/rectangle28.png"  
                                                    title="Draw an area on map to get feature selection" 
                                                    style="height: 14px; width: 23px" /></td>
                                            <td class="VEToolTableLayout" ><asp:Button ID="btnAttribSearch" CssClass="Button" 
                                                    runat="server" Text="Atrb. Srch." ToolTip="Click for Attribute Search" /></td>
                                            <td class="VEToolTableLayout" ><asp:Button ID="btnHelp" CssClass="Button" 
                                                    runat="server" Text="Help" ToolTip="Click for Help" /></td>
                                </tr>
                              </table>
                        </td>
                              </tr>
                         </table>
                    </td>
                </tr>
                <tr>
                    <td width="100%">
                        <asp:Panel ID="MapPanel" runat="server" BorderWidth="1" BorderColor="ActiveBorder" >
                                        <asp:UpdatePanel ID="upMap" runat="server">
                                        <ContentTemplate>
                                             <cc1:Map ID="Map1" runat="server" Width="100%" Height="675px" 
                                                 ontrackshapefinished="Map1_TrackShapeFinished" HorizontalAlign="Justify"></cc1:Map>    
                                        </ContentTemplate>
                                        </asp:UpdatePanel>
                        MapPanel
                        </asp:Panel>
                    </td>

                    <td>
                        <asp:Panel ID="TabPanel" runat="server" BorderWidth="1" BorderColor="ActiveBorder" >
                            <table>
                            <tr>
                                <td>
                                    <asp:Panel ID="Panel4" runat="server" CssClass="collapsePanelHeaderResults">
                                        <asp:ImageButton ID="ImageButton2" runat="server" ImageUrl="~/Assets/Images/expand_blue.jpg"/>
                                    </asp:Panel> 
                                </td>
                                <td valign="top" width="100%">
                                    <asp:UpdatePanel ID="upTabs" runat="server">
                                        <ContentTemplate>
                                            <ajaxToolkit:TabContainer ID="Tabs" runat="server" ActiveTabIndex="1" 
                                                Width="402px" Height="650px" AutoPostBack="True" 
                                                onactivetabchanged="Tabs_ActiveTabChanged">
                                            <ajaxToolkit:TabPanel runat="server" ID="Panel1" HeaderText="Legend/Layer">
                                                <ContentTemplate>
                                                    <br /><br />
                                                    Legend text goes here.
                                                </ContentTemplate>
                                            </ajaxToolkit:TabPanel>
                                
                                            <ajaxToolkit:TabPanel runat="server" ID="Panel2" HeaderText="Feature Selection">
                                                 <HeaderTemplate>
                                                     Feature Selection
                                                 </HeaderTemplate>
                                                <ContentTemplate>
                                                    <div>Selected features will be displayed  here:</div>
                                                       <asp:Panel runat="server" ID="panel">
                                                       </asp:Panel>
                                                        <asp:TreeView ID="TreeView1" runat="server" ShowLines="True"  
                                                            EnableTheming="True" 
                                                            onselectednodechanged="TreeView1_SelectedNodeChanged" 
                                                        CssClass="TreeView">
                                                        </asp:TreeView>    
                                                    <br />
                                                </ContentTemplate>
                                            </ajaxToolkit:TabPanel>
                                            
                                            <ajaxToolkit:TabPanel ID="Panel3" runat="server" HeaderText="Search Results" >
                                                <ContentTemplate>
                                                    <asp:Label ID="Label1" runat="server" Text="Search Result will be displayed here"></asp:Label>
                                                </ContentTemplate>
                                            </ajaxToolkit:TabPanel>
                                        </ajaxToolkit:TabContainer>
                                        </ContentTemplate>
                                    </asp:UpdatePanel>
                                </td>
                            </tr>
                            </table>
                            TablPanel
                        </asp:Panel>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Panel ID="ResultPanel" runat="server" BorderWidth="1" BorderColor="ActiveBorder" >
                            <table>
                            <tr>
                                <td height="100" width="100%"></td>
                            </tr>
                            </table>
                            ResultPanel
                        </asp:Panel>
                    </td>
                    <td valign="top">
                        <asp:Panel ID="tp_results" runat="server" CssClass="collapsePanelHeaderResults">
                            <asp:ImageButton ID="ImageButton1" runat="server" ImageUrl="~/Assets/Images/expand_blue.jpg"/>
                        </asp:Panel> 
                    </td>
                </tr>
                
            </table>

    </div>
 </div>
    </form>
</body>
</html>
